{
  cooldown: 0.0,
  areas: [
    {
      name: "ANYWHERE",
      rect: { x: 0, y: 0, w: 100, h: 100 },
      activeAreaColor: "0x1c1c1cff",
      areaColor: "0x1c1c1cff",
      model: "*FILLAREA*",
      isEnterable: 1
    },
    {
      name: "KEYNAME",
      rect: { x: 10, y: 0, w: 80, h: 15 },
      areaColor: "",
      activeAreaColor: "",
      model: "[KEY_NAME]",
      material: "0xd5d5d5ff, 4, PICK-TITLE, 4",
      isEnterable: 0
    },
    {
      name: "KEYPREV",
      rect: { x: 0, y: 0, w: 7, h: 10 },
      activeAreaColor: "0x117b1bff",
      areaColor: "0xc00046ff",
      model: "<",
      material: "0xd5d5d5ff, 3, PICK-TEXT",
      isEnterable: 1
    },
    {
      name: "KEYNEXT",
      rect: { x: 93, y: 0, w: 7, h: 10 },
      activeAreaColor: "0x117b1bff",
      areaColor: "0xc00046ff",
      model: ">",
      material: "0xd5d5d5ff, 3, PICK-TEXT",
      isEnterable: 1
    },
    {
      name: "KEYDESC",
      rect: { x: 5, y: 17, w: 40, h: 65 },
      areaColor: "0x333333ff",
      model: "[KEY_DESC]",
      material: "0xd5d5d5ff, 3, PICK-TEXT",
      isEnterable: 0
    },

    {
      name: "VALUEPREV",
      rect: { x: 65, y: 20, w: 10, h: 7 },
      activeAreaColor: "0x117b1bff",
      areaColor: "0xc00046ff",
      model: "/\\",
      material: "0xd5d5d5ff, 3, PICK-TEXT",
      isEnterable: 1
    },

    { name: "VIDX0", rect: { x: 50, y: 29, w: 40, h: 5 },
      activeAreaColor: "0x117b1bff", areaColor: "0xc00046ff", model: "[VIDX0]",
      material: "0xd5d5d5ff, 2, PICK-TEXT", isEnterable: 1 },
    { name: "VIDX1", rect: { x: 50, y: 35, w: 40, h: 5 },
      activeAreaColor: "0x117b1bff", areaColor: "0xc00046ff", model: "[VIDX1]",
      material: "0xd5d5d5ff, 2, PICK-TEXT", isEnterable: 1 },
    { name: "VIDX2", rect: { x: 50, y: 41, w: 40, h: 5 },
      activeAreaColor: "0x117b1bff", areaColor: "0xc00046ff", model: "[VIDX2]",
      material: "0xd5d5d5ff, 2, PICK-TEXT", isEnterable: 1 },
    { name: "VIDX3", rect: { x: 50, y: 47, w: 40, h: 5 },
      activeAreaColor: "0x117b1bff", areaColor: "0xc00046ff", model: "[VIDX3]",
      material: "0xd5d5d5ff, 2, PICK-TEXT", isEnterable: 1 },
    { name: "VIDX4", rect: { x: 50, y: 53, w: 40, h: 5 },
      activeAreaColor: "0x117b1bff", areaColor: "0xc00046ff", model: "[VIDX4]",
      material: "0xd5d5d5ff, 2, PICK-TEXT", isEnterable: 1 },
    { name: "VIDX5", rect: { x: 50, y: 59, w: 40, h: 5 },
      activeAreaColor: "0x117b1bff", areaColor: "0xc00046ff", model: "[VIDX5]",
      material: "0xd5d5d5ff, 2, PICK-TEXT", isEnterable: 1 },
    { name: "VIDX6", rect: { x: 50, y: 65, w: 40, h: 5 },
      activeAreaColor: "0x117b1bff", areaColor: "0xc00046ff", model: "[VIDX6]",
      material: "0xd5d5d5ff, 2, PICK-TEXT", isEnterable: 1 },
    { name: "VIDX7", rect: { x: 50, y: 71, w: 40, h: 5 },
      activeAreaColor: "0x117b1bff", areaColor: "0xc00046ff", model: "[VIDX7]",
      material: "0xd5d5d5ff, 2, PICK-TEXT", isEnterable: 1 },
    { name: "VIDX8", rect: { x: 50, y: 77, w: 40, h: 5 },
      activeAreaColor: "0x117b1bff", areaColor: "0xc00046ff", model: "[VIDX8]",
      material: "0xd5d5d5ff, 2, PICK-TEXT", isEnterable: 1 },
    { name: "VIDX9", rect: { x: 50, y: 83, w: 40, h: 5 },
      activeAreaColor: "0x117b1bff", areaColor: "0xc00046ff", model: "[VIDX9]",
      material: "0xd5d5d5ff, 2, PICK-TEXT", isEnterable: 1 },

    {
      name: "VALUENEXT",
      rect: { x: 65, y: 90, w: 10, h: 7 },
      activeAreaColor: "0x117b1bff",
      areaColor: "0xc00046ff",
      model: "\\/",
      material: "0xd5d5d5ff, 3, PICK-TEXT",
      isEnterable: 1
    },
    {
      name: "BACK",
      rect: { x: 0, y: 90, w: 20, h: 10 },
      activeAreaColor: "0x117b1bff",
      areaColor: "0xc00046ff",
      model: "BACK",
      material: "0xd5d5d5ff, 3, PICK-TEXT",
      isEnterable: 1
    },
  ],
  //
  // ############## SWITCHES
  //
  switches: [
    {
      areas: [ "KEYPREV" ],
      triggers: [
        { triggerType: KEY,   key:         "a" },
        { triggerType: KEY,   key:         "KEY_LEFT" },
        { triggerType: KEY,   key:         "KEY_SPACE" },
        { triggerType: KEY,   key:         "KEY_RETURN" },
        { triggerType: JPAD,  jpadFlag:    LF },
        { triggerType: JPAD,  jpadFlag:    DPAD_LF },
        { triggerType: JPAD,  jpadFlag:    B1 },
        { triggerType: MOUSE, mouseButton: LMB },
      ],
      delays: { },
      actions: { press: [{ id: "LOGIC_RETURN", info: "KEY-PREV" } ] }
    },
    {
      areas: [ "KEYNEXT" ],
      triggers: [
        { triggerType: KEY,   key:         "d" },
        { triggerType: KEY,   key:         "KEY_RIGHT" },
        { triggerType: KEY,   key:         "KEY_SPACE" },
        { triggerType: KEY,   key:         "KEY_RETURN" },
        { triggerType: JPAD,  jpadFlag:    RT },
        { triggerType: JPAD,  jpadFlag:    DPAD_RT },
        { triggerType: JPAD,  jpadFlag:    B1 },
        { triggerType: MOUSE, mouseButton: LMB },
      ],
      delays: { },
      actions: { press: [{ id: "LOGIC_RETURN", info: "KEY-NEXT" } ] }
    },
    // SELECT or UP on VALUEPREV to scroll vector list
    {
      areas: [ "VALUEPREV" ],
      triggers: [
        { triggerType: KEY,   key:         "w" },
        { triggerType: KEY,   key:         "KEY_UP" },
        { triggerType: KEY,   key:         "KEY_SPACE" },
        { triggerType: KEY,   key:         "KEY_RETURN" },
        { triggerType: JPAD,  jpadFlag:    UP },
        { triggerType: JPAD,  jpadFlag:    DPAD_UP },
        { triggerType: MOUSE, mouseButton: LMB },
      ],
      delaysRef: "menu_standardRep",
      actions: { press: [{ id: "LOGIC_RETURN", info: "VALUE-PREV" } ] }
    },
    // SELECT or DOWN on VALUEPREV to scroll vector list
    {
      areas: [ "VALUENEXT" ],
      triggers: [
        { triggerType: KEY,   key:         "s" },
        { triggerType: KEY,   key:         "KEY_DOWN" },
        { triggerType: KEY,   key:         "KEY_SPACE" },
        { triggerType: KEY,   key:         "KEY_RETURN" },
        { triggerType: JPAD,  jpadFlag:    DN },
        { triggerType: JPAD,  jpadFlag:    DPAD_DN },
        { triggerType: JPAD,  jpadFlag:    B1 },
        { triggerType: MOUSE, mouseButton: LMB },
      ],
      delaysRef: "menu_standardRep",
      actions: { press: [{ id: "LOGIC_RETURN", info: "VALUE-NEXT" } ] }
    },
    // SELECT on BACK to return
    {
      areas: [ "BACK" ],
      triggers: [
        { triggerType: KEY,   key:         "KEY_ESCAPE" },
        { triggerType: KEY,   key:         "KEY_SPACE" },
        { triggerType: KEY,   key:         "KEY_RETURN" },
        { triggerType: JPAD,  jpadFlag:    B1 },
        { triggerType: MOUSE, mouseButton: LMB },
      ],
      delays: { },
      actions: { press: [{ id: "LOGIC_RETURN", info: "GOTO-MENU" } ] }
    },
    // Escape anywhere goes to BACK
    {
      areas: [ "ANYWHERE", "KEYPREV", "KEYNEXT", "VALUEPREV", "VALUENEXT",
               "VIDX0", "VIDX1", "VIDX2", "VIDX3", "VIDX4", "VIDX5", "VIDX6", "VIDX7", "VIDX8", "VIDX9", ],
      triggers: [
        { triggerType: KEY,   key:         "KEY_ESCAPE" },
      ],
      delays: { },
      actions: { press: [{ id: "GOTO_AREA", info: "BACK" } ] }
    },
    // LEFT anywhere goes to KEYPREV (and press PREV)
    {
      areas: [ "ANYWHERE", "BACK", "KEYNEXT", "VALUEPREV", "VALUENEXT", 
               "VIDX0", "VIDX1", "VIDX2", "VIDX3", "VIDX4", "VIDX5", "VIDX6", "VIDX7", "VIDX8", "VIDX9", ],
      triggers: [
        { triggerType: KEY,   key:         "a" },
        { triggerType: KEY,   key:         "KEY_LEFT" },
        { triggerType: JPAD,  jpadFlag:    LF },
        { triggerType: JPAD,  jpadFlag:    DPAD_LF },
      ],
      delays: { },
      actions: { press: [ { id: "GOTO_AREA", info: "KEYPREV" } , 
                          { id: "LOGIC_RETURN", info: "KEY-PREV" }, ] }
    },
    // RIGHT anywhere goes to KEYNEXT (and press NEXT)
    {
      areas: [ "ANYWHERE", "BACK", "KEYPREV", "VALUEPREV", "VALUENEXT", 
               "VIDX0", "VIDX1", "VIDX2", "VIDX3", "VIDX4", "VIDX5", "VIDX6", "VIDX7", "VIDX8", "VIDX9", ],
      triggers: [
        { triggerType: KEY,   key:         "d" },
        { triggerType: KEY,   key:         "KEY_RIGHT" },
        { triggerType: JPAD,  jpadFlag:    RT },
        { triggerType: JPAD,  jpadFlag:    DPAD_RT },
      ],
      delays: { },
      actions: { press: [ { id: "GOTO_AREA", info: "KEYNEXT" },
                          { id: "LOGIC_RETURN", info: "KEY-NEXT" }, ] }
    },
    // UP anywhere goes to VALUEPREV
    {
      areas: [ "ANYWHERE", "BACK", "KEYPREV", "KEYNEXT" ],
      triggers: [
        { triggerType: KEY,   key:         "w" },
        { triggerType: KEY,   key:         "KEY_UP" },
        { triggerType: JPAD,  jpadFlag:    UP },
        { triggerType: JPAD,  jpadFlag:    DPAD_UP },
      ],
      delays: { },
      actions: { press: [{ id: "GOTO_AREA", info: "VALUEPREV" } ] }
    },
    // DOWN anywhere goes to VALUENEXT
    {
      areas: [ "ANYWHERE", "BACK", "KEYPREV", "KEYNEXT" ],
      triggers: [
        { triggerType: KEY,   key:         "s" },
        { triggerType: KEY,   key:         "KEY_DOWN" },
        { triggerType: JPAD,  jpadFlag:    DN },
        { triggerType: JPAD,  jpadFlag:    DPAD_DN },
      ],
      delays: { },
      actions: { press: [{ id: "GOTO_AREA", info: "VALUENEXT" } ] }
    },
    // DOWN at VALUEPREV or Vector list goes to next vector area
    {
      areas: [ "VALUEPREV", "VIDX0", "VIDX1", "VIDX2", "VIDX3", "VIDX4", "VIDX5", "VIDX6", "VIDX7", "VIDX8", "VIDX9", ],
      triggers: [
        { triggerType: KEY,   key:         "s" },
        { triggerType: KEY,   key:         "KEY_DOWN" },
        { triggerType: JPAD,  jpadFlag:    DN },
        { triggerType: JPAD,  jpadFlag:    DPAD_DN },
      ],
      delays: { },
      actions: { press: [{ id: "LOGIC_RETURN", info: "GROUP-NEXT: [AREA_NAME] : VALUEPREV,VIDX0,VIDX1,VIDX2,VIDX3,VIDX4,VIDX5,VIDX6,VIDX7,VIDX8,VIDX9,VALUENEXT" } ] }
    },
    // UP at VALUENEXT or Vector list goes to prev vector area
    {
      areas: [ "VALUENEXT", "VIDX0", "VIDX1", "VIDX2", "VIDX3", "VIDX4", "VIDX5", "VIDX6", "VIDX7", "VIDX8", "VIDX9", ],
      triggers: [
        { triggerType: KEY,   key:         "w" },
        { triggerType: KEY,   key:         "KEY_UP" },
        { triggerType: JPAD,  jpadFlag:    UP },
        { triggerType: JPAD,  jpadFlag:    DPAD_UP },
      ],
      delays: { },
      actions: { press: [{ id: "LOGIC_RETURN", info: "GROUP-PREV: [AREA_NAME] : VALUEPREV,VIDX0,VIDX1,VIDX2,VIDX3,VIDX4,VIDX5,VIDX6,VIDX7,VIDX8,VIDX9,VALUENEXT" } ] }
    },
    // Select vector entry
    {
      areas: [ "VIDX0" ,"VIDX1","VIDX2","VIDX3","VIDX4","VIDX5","VIDX6","VIDX7","VIDX8","VIDX9" ],
      triggers: [
        { triggerType: KEY,   key:         "KEY_SPACE" },
        { triggerType: KEY,   key:         "KEY_RETURN" },
        { triggerType: JPAD,  jpadFlag:    B1 },
        { triggerType: MOUSE, mouseButton: LMB },
      ],
      delays: { },
      actions: { press: [{ id: "LOGIC_RETURN", info: "GROUP-PICK: [AREA_NAME]" } ] }
    },
  ]
}

